# vim: set sw=4 ts=4 et nu:

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:               puddletag
Version:            0.10.3
Release:            1.2
Summary:            Audio Tag Editor
# http://prdownloads.sourceforge.net/puddletag/puddletag-%{version}.tar.gz
Source:             puddletag-%{version}.tar.bz2
Source99:           puddletag-rpmlintrc
URL:                http://puddletag.sourceforge.net
Group:              Productivity/Multimedia/Sound/Editors and Convertors
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python-devel
BuildRequires:      update-desktop-files
BuildRequires:      python-qt4 >= 4.5
BuildRequires:      python-mutagen >= 1.14
BuildRequires:      python-musicbrainz2
BuildRequires:      python-pyparsing > 1.4
BuildRequires:      python-configobj
BuildRequires:      python-imaging
Requires:           python-qt4 >= 4.5
Requires:           python-mutagen >= 1.14
Requires:           python-musicbrainz2
Requires:           python-pyparsing > 1.4
Requires:           python-configobj
Requires:           python-imaging
%py_requires
%if 0%{?suse_version} >= 1120
BuildArch:          noarch
%endif

%description
puddletag is a tag editor for Linux loosely based on mp3tag. It uses a table
layout so that all the tags you want to edit by hand are visible and easily
editable. puddletag excels at automating repetitive tasks like extracting tag
information from filenames, tagging files from a text file or the clipboard,
renaming or moving files and folders based on tags by using patterns, and
manipulating tags using actions and regular expressions. Supported formats
include id3v1, id3v2 (.mp3), AAC (.m4a), VorbisComments (.ogg, .flac), and
APEv2 (.ape). Much of mp3tag's functionality has been replicated with added
enhancements and tweaks.

%prep
%setup -q
%__chmod 0644 HACKING NEWS README THANKS TODO copyright

# remove bogus shebangs
find puddlestuff/ -type f -exec %__perl -i -ne 'print unless $.==1 and /^#!/' {} \;

%build
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm=files.lst

# remove directories that are owned by others
%__perl -i -ne 'print unless m,^(%dir\s+)?%{_datadir}/(applications|pixmaps)/*$,' files.lst

%suse_update_desktop_file -r "%{name}" Multimedia AudioVideoEditing

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc HACKING NEWS README THANKS TODO copyright

%changelog
* Mon Apr  4 2011 pascal.bleser@opensuse.org
- update to 0.10.3:
  * fixes:
    + deleting tags containing mapped fields
    + functions operating on multiple values like Merge Field were broken
    + peformersortorder is spelt correctly as performersortorder for ID3 tags
    + renaming directories when intermediate directories are to be created
- changes from 0.10.1:
  * new features:
    + loading subfolders can be turned on/off using the Filesystem Window
    + USLT Frame support for ID3
    + a bunch of new fields
    + stored Tags window shows the values of all tags found in file
    + experimental ID3 support. Don't use unless you really need to
  * fixes:
    + retrieving PUIDS using the MusicBrainz tag source
    + adding album art from Tag Source was defective
    + the Tag Panel not updating with 'previewed' values
    + properties window not showing
  * changes:
    + values in the Stored Tags window aren't emboldened anymore due to
    performance reasons
* Thu Mar 10 2011 pascal.bleser@opensuse.org
- update to 0.10.0:
  * new cover art support for all formats (except ASF)
  * loading master releases in the Discogs.com tag source
  * for ID3 tags, UFID frames are only loaded if data can be decoded to UTF-8
  * MusicBrainz artist search retrieves 100 albums by default
  * initial reading of a directory can be canceled now
  * uncaught errors for Tag Sources shouldn't leave the Tag Sources window
    disabled anymore
  * Discogs artist/albums are parsed correctly instead of looking weird
  * Amazon keyword search wasn't working at all
  * having periods in the Tag->Dir function were causing problems
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- update to 0.9.11:
  * the "Tag -> Dir" feature can move directories
  * incorrectly encoded files are corrected
  * selected files can be moved up or down in file-view
  * the MusicBrainz tag source now retrieves more fields
  * the Discogs.com tag source was added, including artwork
  * the "Select All in Dir" function supports "Select All" in the previous or
    next directory
  * tentative support was added for Mp3tag's tag sources
  * language translations were added
  * the "~" notation can now be used to exclude fields in function calls
  * separate options were added to remove ID3v1 and ID3v2 tags
  * matches optionally can be automatically retrieved using Tag Sources
  * shortcuts were assigned to Actions
  * the default file sort order is now remembered
* Sun Dec 19 2010 pascal.bleser@opensuse.org
- initial package (0.9.10)
